Skip to content

Get quote collection

Request

Retrieve a previously created quote collection by its unique identifier.

Use this endpoint to check the status of quotes (ACTIVE or EXPIRED) and retrieve quote details needed for payment creation.

Security
Bearer
Path
quote-collection-idstring, (uuid)required

The unique identifier of the quote collection you want to retrieve

Example:11111111-aaaa-2222-bbbb-222222222222
curl -i -X GET \
  https://docs.ripple.com/_mock/products/payments-direct-2/api-docs/payments-direct-api/payments-direct-2-api/v3/quotes/quote-collection/11111111-aaaa-2222-bbbb-222222222222 \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

Valid quote collection found

Bodyapplication/json
quoteCollectionIdstring, (uuid), [ 1 .. 36 ] charactersrequired

Unique ID that represents this quote collection.

Example:"11111111-aaaa-2222-bbbb-222222222222"
quotesArray of objects, >= 0 itemsrequired

List of quotes

Response
{ "quoteCollectionId": "11111111-aaaa-2222-bbbb-222222222222", "quotes": [ { … } ] }